## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate python-pkginfo

Name:           rust-python-pkginfo
Version:        0.6.5
Release:        %autorelease
Summary:        Parse Python package metadata from sdist and bdists and etc

License:        MIT
URL:            https://crates.io/crates/python-pkginfo
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * Allow bzip2 0.5: https://github.com/PyO3/python-pkginfo-rs/pull/25
# * Allow mailparse 0.16: https://github.com/PyO3/python-pkginfo-rs/pull/24
Patch:          python-pkginfo-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Parse Python package metadata from sdist and bdists and etc.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/Changelog.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bzip2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bzip2-devel %{_description}

This package contains library source intended for building other packages which
use the "bzip2" feature of the "%{crate}" crate.

%files       -n %{name}+bzip2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+deprecated-formats-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+deprecated-formats-devel %{_description}

This package contains library source intended for building other packages which
use the "deprecated-formats" feature of the "%{crate}" crate.

%files       -n %{name}+deprecated-formats-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+xz-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+xz-devel %{_description}

This package contains library source intended for building other packages which
use the "xz" feature of the "%{crate}" crate.

%files       -n %{name}+xz-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Mar 21 2025 Fabio Valentini <decathorpe@gmail.com> - 0.6.5-4
- Relax bzip2 dependency to allow building with both 0.4 and 0.5

* Tue Mar 04 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.5-3
- Allow mailparse 0.16

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jan 04 2025 Fabio Valentini <decathorpe@gmail.com> - 0.6.5-1
- Update to version 0.6.5; Fixes RHBZ#2329588

* Tue Nov 19 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.3-2
- Add upstream link for xz/xz2 patch

* Mon Nov 18 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.3-1
- Update to version 0.6.3; Fixes RHBZ#2279332

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Sep 05 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.0-1
- Update to version 0.6.0; Fixes RHBZ#2231685

* Wed Aug 02 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.6-1
- Update to version 0.5.6; Fixes RHBZ#2219157

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed May 17 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.5-1
- Initial import (#2187694)
## END: Generated by rpmautospec
